POST /v1/sessions/{session_id}/databases
POST
/v1/sessions/{session_id}/databases
const url = 'https://app.everruns.com/api/v1/sessions/example/databases';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"refund_history"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.everruns.com/api/v1/sessions/example/databases \ --header 'Content-Type: application/json' \ --data '{ "name": "refund_history" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” session_id
required
string
Session ID
Request Body required
Section titled “Request Body required ” Media type application/json
Request body for creating a database.
object
name
required
Database name (alphanumeric + underscores, max 64 chars).
string
Example
refund_historyResponses
Section titled “ Responses ”Database created
Media type application/json
Database info response.
object
created_at
required
Timestamp when this resource was created (RFC 3339).
string
name
required
Human-readable name. Safe to render in user-facing messages.
string
page_count
required
integer format: int32
size_bytes
required
integer format: int64
updated_at
required
Timestamp when this resource was last updated (RFC 3339).
string
Example generated
{ "created_at": "example", "name": "example", "page_count": 1, "size_bytes": 1, "updated_at": "example"}Invalid name or session ID
Database already exists
Session database limit exceeded